//
//
//

#include "Ratsoft.ch"


//#include "FiveWin.ch"
#include "Constant.ch"
#include "Objects.ch"
#include "WinApi.ch"
#include "Colors.ch"



//----------------------------------------------------------------------------//

CLASS TPen

   DATA   hPen
   DATA   nStyle, nWidth, nColor

   METHOD New( nStyle, nWidth, nColor, oDevice ) CONSTRUCTOR
   METHOD Release() INLINE  DeleteObject( ::hPen ), ::hPen := 0
   METHOD End()     INLINE  DeleteObject( ::hPen ), ::hPen := 0

ENDCLASS

//----------------------------------------------------------------------------//

METHOD New( nStyle, nWidth, nColor, oDevice ) CLASS TPen

   DEFAULT( nStyle, "N", PS_SOLID )
   DEFAULT( nWidth, "N", 1        )
   DEFAULT( nColor, "N", CLR_BLACK)

   ::hPen   = CreatePen( nStyle, nWidth, nColor )
   ::nStyle = nStyle
   ::nWidth = nWidth
   ::nColor = nColor


   if oDevice != nil
      //::nWidth = ( oDevice:nLogPixelsY() / 72 ) * ::nWidth  // Bug
        ::nWidth = ( oDevice:nLogPixelY() / 72 ) * ::nWidth  //  fix
   endif


return nil

//----------------------------------------------------------------------------//
