//
// Include file for Ratsoft library
//

// Misc stuff
#define TRUE         .T.
#define FALSE        .F.
#define ESC          chr(27)
#define CRLF         chr(13)+chr(10)
#define TRUEBLOCK 	{|| .T. }
#define FALSEBLOCK 	{|| .F. }

// System macros
#xtranslate DEFAULT([<_x>], [<_type>], [<_not_def>]) =>  <_x> = iif( valtype(<_x>) $ <_type>, <_x>, <_not_def>)

// Line types
#define LINE_HORIZONTAL        1
#define LINE_VERTICAL          2
#define LINE_DIAGONAL          3

// Line widths and grey shading
#define LINE_NONE             0
#define LINE_SINGLE           1
#define LINE_DOTTED           3
#define LINE_HAIR             4
#define LINE_DASHED           5
#define LINE_THIN             6
#define LINE_DOUBLE           7

#define LINE_NONE_WIDTH       0
#define LINE_SINGLE_WIDTH     0.5
#define LINE_DOTTED_WIDTH     0.2
#define LINE_THIN_WIDTH       0.2 // 3
#define LINE_HAIR_WIDTH       0.1
#define LINE_DOUBLE_WIDTH     0.1 // Drawn twice, separated by own width

#define SHADE_LIGHT      5
#define SHADE_MEDIUM    40
#define SHADE_DARK      90

#define PR_JUST_LEFT          "L"
#define PR_JUST_RIGHT         "R"
#define PR_JUST_CENTRE        "C"
